//------------------------------------------------------------------------------
// <auto-generated>
//     Ce code a été généré à partir d'un modèle.
//
//     Des modifications manuelles apportées à ce fichier peuvent conduire à un comportement inattendu de votre application.
//     Les modifications manuelles apportées à ce fichier sont remplacées si le code est régénéré.
// </auto-generated>
//------------------------------------------------------------------------------

namespace LearnMVCData
{
    using Newtonsoft.Json;
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;

    public partial class Formation
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Formation()
        {
            this.Avis = new HashSet<Avis>();
        }

        public int Id { get; set; }

        [Required]
        [StringLength(100, ErrorMessage = "Le champ {0}, doit comporter au moins {2} caractères.", MinimumLength =5)]
        public string Nom { get; set; }
        
        [Required]
        public string Url { get; set; }
        
        public string Description { get; set; }

        [Required]
        public string NomSeo { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Avis> Avis { get; set; }
    }
}
